/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef DESCRIPTION_H
#define DESCRIPTION_H

class IAssess;

/**
 * @stereotype description 
 */
class Description {
public:

    void assessWithPlugInElseDefault();

    void assessAcrossPPTs();

    void findAvailable();

    void calcQtyAvailable();

    int calcTotalFor();

    int listPPT();

    static int listDescs();

    static int assessAcrossDescs();

private:
    int type;
    int Description;
    int itemNumber;
    int defaultValue;

    /**
     * @supplierCardinality 0..1 
     */
    IAssess * lnkIAssess;
};
#endif //DESCRIPTION_H
